	// ===============================================================
	// Global Var
	// ===============================================================
	
	// Edit Handler
	// _______________________________________________________________________
	var EDIT_HANDLER = function(){};	
	EDIT_HANDLER.REF_IS_MODIFIED = false;
	EDIT_HANDLER.HAS_NEWLY_SAVED_DATA = false;
	var PROPERTY_PARENT_ID = 0;
	var PROPERTY_PARENT_DESCRIPTION = "";
	
	
	// Cache
	// _______________________________________________________________________
	var PROPERTY_ACC_ACCOUNT_ID = null;
	var PROPERTY_EDIT_MODE = false;
	var PROPERTY_EDIT_ROW_INDEX = -1;
	var INPUT_INSTANCE = null;
	
	
	// Buttons [Optional]
	// _______________________________________________________________________
	var ADD_BBI = null;
	var SAVE_BBI = null;
	var DELETE_BBI = null;
	var CANCEL_BBI = null;
	
	// Dialog Controls [Optional]
	// _______________________________________________________________________
	var ACC_ACCOUNT_ACC_LEVEL_ID_CMB = null;
	var ACC_ACCOUNT_ACC_GROUP_ID_CMB = null;
	var ACC_ACCOUNT_ADD_RESOURCE_ID_CMB = null;
	var ACC_ACCOUNT_USERNAME_TXT = null;
	var ACC_ACCOUNT_PASSWORD_TXT = null;
	var ACC_ACCOUNT_PASSWORD_CONFIRM_TXT = null;
	var ACC_ACCOUNT_AUTH_CODE_TXT = null;
	var ACC_ACCOUNT_FIRST_NAME_TXT = null;
	var ACC_ACCOUNT_MIDDLE_NAME_TXT = null;
	var ACC_ACCOUNT_LAST_NAME_TXT = null;
	var ACC_ACCOUNT_POSITION_TXT = null;
	var ACC_ACCOUNT_SYS_GENDER_ID_CMB = null;
	var ACC_ACCOUNT_STATUS_CMB = null;
	
	
	// DGV Controls
	// _______________________________________________________________________
	var MEMBER_DGV = null;
	var PRINT_BBI = null;
	var EXPORT_BBI = null;

	// ===============================================================
	// Initialize Controls
	// ===============================================================     
	function FORM_INITIALIZE()
	{
		// Load Cache Parent Data [Add Redirects if this is a required data.]
		// ...........................................
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_ID"))
		{
			PROPERTY_PARENT_ID = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_ID");
		}	
		else
		{
			//window.location = JSCUS_CACHE.AUTH_REDIRECT_URL;
			//window.close();
		}
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_DESCRIPTION"))
		{
			PROPERTY_PARENT_DESCRIPTION = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_DESCRIPTION");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_PROJECT_DESCRIPTION_TXT") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("REC_PROJECT_DESCRIPTION_TXT", PROPERTY_PARENT_DESCRIPTION);			
			}
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_PROJECT_DESCRIPTION_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("REC_PROJECT_DESCRIPTION_LBL", PROPERTY_PARENT_DESCRIPTION);			
			}
		}	
		else
		{
			//window.location = JSCUS_CACHE.AUTH_REDIRECT_URL;	
		}
		
 		// Cache Class Properties
		// ...........................................
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_ACC_ACCOUNT_ID"))
		{
			PROPERTY_ACC_ACCOUNT_ID = JSVC_COOKIE.VAR_READ("PROPERTY_ACC_ACCOUNT_ID");
		}	
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_EDIT_MODE"))
		{
			PROPERTY_EDIT_MODE = JSVC_COOKIE.VAR_READ("PROPERTY_ACC_ACCOUNT_ID");
		}
	
		// Initialize: Modals
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("MEMBER_MODAL") == true)
		{
			// Display Modal
			JSOC_DIALOG.VAR_MODAL("MEMBER_MODAL", false);
		}
				
		// Initialize: Ribbon Buttons
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ADD_BBI"))
		{
    		ADD_BBI = JSOC_ELEMENT.VAR_GET("ADD_BBI");     	
			
			// Add OnClick event [Show Modal]
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ADD_BBI"))
			{
				ADD_BBI.onclick = 
					function()
					{		
						// Display Modal
						PROPERTY_ACC_ACCOUNT_ID = 0;
						PROPERTY_EDIT_ROW_INDEX - 1;
						
						if(JSVC_VAR.VAR_ISSET(INPUT_INSTANCE))
						{
							JSOC_WINDOW.VAR_INPUT_INSTANCE_RESTORE(INPUT_INSTANCE);
						}
						JSOC_DIALOG.VAR_MODAL("MEMBER_MODAL", true);
						
						// Enable Password Input
						JSOC_STYLE.VAR_DISPLAY("PASSWORD_ROW", "DEFAULT");
						JSOC_ELEMENT.VAR_VALUE("ACC_ACCOUNT_PASSWORD_TXT", "");
						JSOC_STYLE.VAR_DISPLAY("PASSWORD_CONFIRM_ROW", "DEFAULT");
						JSOC_ELEMENT.VAR_VALUE("ACC_ACCOUNT_PASSWORD_CONFIRM_TXT", "");
					}		
			}
			// Add OnClick event [Show Add/Edit Page]
			else
			{
				
			}
		}	
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SAVE_BBI"))
		{
    		SAVE_BBI = JSOC_ELEMENT.VAR_GET("SAVE_BBI");     
			if(JSVC_VAR.VAR_ISSET(HTTP_SAVE))
			{
				// Prepare Save callback
				var CALLBACK_HANDLER = 
					function(IS_SUCCESS)
					{
						// Abort on failure
						if(IS_SUCCESS == false)
						{
							return;
						}
					
						// Show record saved messageBox
						JSVC_INFO.VAR_RECORD_SAVED('');
					}
				
				// Add OnClick event
				SAVE_BBI.onclick = 
					function()
					{
						HTTP_SAVE(CALLBACK_HANDLER);
					}
			}
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("CANCEL_BBI"))
		{
    		CANCEL_BBI = JSOC_ELEMENT.VAR_GET("CANCEL_BBI");      		
		}
		
		// Initialize: Ribbon Buttons [Add Print]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PRINT_BBI"))
		{
			PRINT_BBI = JSOC_ELEMENT.VAR_GET("PRINT_BBI");
			PRINT_BBI.onclick = function()
			{
				window.print();
			};
		}		
		
		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("EXPORT_BBI"))
		{
			EXPORT_BBI = JSOC_ELEMENT.VAR_GET("EXPORT_BBI");
			EXPORT_BBI.onclick = function()
			{
				JSOC_DIALOG.VAR_LOADING_SPINNER(true);
				JSRC_THREAD.REF_POST_DELAYED			
				(
					async function()
					{
						await JSRC_EXCEL.REF_EXPORT('MEMBER_DGV');
						CUS_SEND_DIALOG_TRY_DISMISS();
					},
					100
				);
			};
		}	
				
		// Prepare onChange event
		// ...........................................
		var ON_CHANGE_EVENT = '';
		
		
		// Initialize: Input Controls
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_ACCOUNT_ID_TXT"))
		{
			ACC_ACCOUNT_ID_TXT = JSOC_ELEMENT.VAR_GET("ACC_ACCOUNT_ID_TXT");      
			ACC_ACCOUNT_ID_TXT.onchange = 
				function()
				{
					if(ACC_ACCOUNT_ID_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_ACCOUNT_ID_TXT.onkeypress = function(){ACC_ACCOUNT_ID_TXT.onchange();};
			ACC_ACCOUNT_ID_TXT.onpaste = function(){ACC_ACCOUNT_ID_TXT.onchange();};
			ACC_ACCOUNT_ID_TXT.oninput = function(){ACC_ACCOUNT_ID_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_ACCOUNT_SERVER_ID_TXT"))
		{
			ACC_ACCOUNT_SERVER_ID_TXT = JSOC_ELEMENT.VAR_GET("ACC_ACCOUNT_SERVER_ID_TXT");      
			ACC_ACCOUNT_SERVER_ID_TXT.onchange = 
				function()
				{
					if(ACC_ACCOUNT_SERVER_ID_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_ACCOUNT_SERVER_ID_TXT.onkeypress = function(){ACC_ACCOUNT_SERVER_ID_TXT.onchange();};
			ACC_ACCOUNT_SERVER_ID_TXT.onpaste = function(){ACC_ACCOUNT_SERVER_ID_TXT.onchange();};
			ACC_ACCOUNT_SERVER_ID_TXT.oninput = function(){ACC_ACCOUNT_SERVER_ID_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_ACCOUNT_ACC_LEVEL_ID_CMB"))
		{
			ACC_ACCOUNT_ACC_LEVEL_ID_CMB = JSOC_ELEMENT.VAR_GET("ACC_ACCOUNT_ACC_LEVEL_ID_CMB");      	
			ACC_ACCOUNT_ACC_LEVEL_ID_CMB.onchange = 
				function()
				{
					if(ACC_ACCOUNT_ACC_LEVEL_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_ACCOUNT_ACC_LEVEL_ID_CMB.onkeypress = function(){ACC_ACCOUNT_ACC_LEVEL_ID_CMB.onchange();};
			ACC_ACCOUNT_ACC_LEVEL_ID_CMB.onpaste = function(){ACC_ACCOUNT_ACC_LEVEL_ID_CMB.onchange();};
			ACC_ACCOUNT_ACC_LEVEL_ID_CMB.oninput = function(){ACC_ACCOUNT_ACC_LEVEL_ID_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_ACCOUNT_ACC_GROUP_ID_CMB"))
		{
			ACC_ACCOUNT_ACC_GROUP_ID_CMB = JSOC_ELEMENT.VAR_GET("ACC_ACCOUNT_ACC_GROUP_ID_CMB");      	
			ACC_ACCOUNT_ACC_GROUP_ID_CMB.onchange = 
				function()
				{
					if(ACC_ACCOUNT_ACC_GROUP_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_ACCOUNT_ACC_GROUP_ID_CMB.onkeypress = function(){ACC_ACCOUNT_ACC_GROUP_ID_CMB.onchange();};
			ACC_ACCOUNT_ACC_GROUP_ID_CMB.onpaste = function(){ACC_ACCOUNT_ACC_GROUP_ID_CMB.onchange();};
			ACC_ACCOUNT_ACC_GROUP_ID_CMB.oninput = function(){ACC_ACCOUNT_ACC_GROUP_ID_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_ACCOUNT_ADD_RESOURCE_ID_CMB"))
		{
			ACC_ACCOUNT_ADD_RESOURCE_ID_CMB = JSOC_ELEMENT.VAR_GET("ACC_ACCOUNT_ADD_RESOURCE_ID_CMB");      	
			ACC_ACCOUNT_ADD_RESOURCE_ID_CMB.onchange = 
				function()
				{
					if(ACC_ACCOUNT_ADD_RESOURCE_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_ACCOUNT_ADD_RESOURCE_ID_CMB.onkeypress = function(){ACC_ACCOUNT_ADD_RESOURCE_ID_CMB.onchange();};
			ACC_ACCOUNT_ADD_RESOURCE_ID_CMB.onpaste = function(){ACC_ACCOUNT_ADD_RESOURCE_ID_CMB.onchange();};
			ACC_ACCOUNT_ADD_RESOURCE_ID_CMB.oninput = function(){ACC_ACCOUNT_ADD_RESOURCE_ID_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_ACCOUNT_USERNAME_TXT"))
		{
			ACC_ACCOUNT_USERNAME_TXT = JSOC_ELEMENT.VAR_GET("ACC_ACCOUNT_USERNAME_TXT");      
			ACC_ACCOUNT_USERNAME_TXT.onchange = 
				function()
				{
					if(ACC_ACCOUNT_USERNAME_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_ACCOUNT_USERNAME_TXT.onkeypress = function(){ACC_ACCOUNT_USERNAME_TXT.onchange();};
			ACC_ACCOUNT_USERNAME_TXT.onpaste = function(){ACC_ACCOUNT_USERNAME_TXT.onchange();};
			ACC_ACCOUNT_USERNAME_TXT.oninput = function(){ACC_ACCOUNT_USERNAME_TXT.onchange();};
		}	
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_ACCOUNT_PASSWORD_TXT"))
		{
			ACC_ACCOUNT_PASSWORD_TXT = JSOC_ELEMENT.VAR_GET("ACC_ACCOUNT_PASSWORD_TXT");      
			ACC_ACCOUNT_PASSWORD_TXT.onchange = 
				function()
				{
					if(ACC_ACCOUNT_PASSWORD_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_ACCOUNT_PASSWORD_TXT.onkeypress = function(){ACC_ACCOUNT_PASSWORD_TXT.onchange();};
			ACC_ACCOUNT_PASSWORD_TXT.onpaste = function(){ACC_ACCOUNT_PASSWORD_TXT.onchange();};
			ACC_ACCOUNT_PASSWORD_TXT.oninput = function(){ACC_ACCOUNT_PASSWORD_TXT.onchange();};
		}		
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_ACCOUNT_PASSWORD_CONFIRM_TXT"))
		{
			ACC_ACCOUNT_PASSWORD_CONFIRM_TXT = JSOC_ELEMENT.VAR_GET("ACC_ACCOUNT_PASSWORD_CONFIRM_TXT");      
			ACC_ACCOUNT_PASSWORD_CONFIRM_TXT.onchange = 
				function()
				{
					if(ACC_ACCOUNT_PASSWORD_CONFIRM_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_ACCOUNT_PASSWORD_CONFIRM_TXT.onkeypress = function(){ACC_ACCOUNT_PASSWORD_CONFIRM_TXT.onchange();};
			ACC_ACCOUNT_PASSWORD_CONFIRM_TXT.onpaste = function(){ACC_ACCOUNT_PASSWORD_CONFIRM_TXT.onchange();};
			ACC_ACCOUNT_PASSWORD_CONFIRM_TXT.oninput = function(){ACC_ACCOUNT_PASSWORD_CONFIRM_TXT.onchange();};
		}				
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_ACCOUNT_AUTH_CODE_TXT"))
		{
			ACC_ACCOUNT_AUTH_CODE_TXT = JSOC_ELEMENT.VAR_GET("ACC_ACCOUNT_AUTH_CODE_TXT");      
			ACC_ACCOUNT_AUTH_CODE_TXT.onchange = 
				function()
				{
					if(ACC_ACCOUNT_AUTH_CODE_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_ACCOUNT_AUTH_CODE_TXT.onkeypress = function(){ACC_ACCOUNT_AUTH_CODE_TXT.onchange();};
			ACC_ACCOUNT_AUTH_CODE_TXT.onpaste = function(){ACC_ACCOUNT_AUTH_CODE_TXT.onchange();};
			ACC_ACCOUNT_AUTH_CODE_TXT.oninput = function(){ACC_ACCOUNT_AUTH_CODE_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_ACCOUNT_FIRST_NAME_TXT"))
		{
			ACC_ACCOUNT_FIRST_NAME_TXT = JSOC_ELEMENT.VAR_GET("ACC_ACCOUNT_FIRST_NAME_TXT");      
			ACC_ACCOUNT_FIRST_NAME_TXT.onchange = 
				function()
				{
					if(ACC_ACCOUNT_FIRST_NAME_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_ACCOUNT_FIRST_NAME_TXT.onkeypress = function(){ACC_ACCOUNT_FIRST_NAME_TXT.onchange();};
			ACC_ACCOUNT_FIRST_NAME_TXT.onpaste = function(){ACC_ACCOUNT_FIRST_NAME_TXT.onchange();};
			ACC_ACCOUNT_FIRST_NAME_TXT.oninput = function(){ACC_ACCOUNT_FIRST_NAME_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_ACCOUNT_MIDDLE_NAME_TXT"))
		{
			ACC_ACCOUNT_MIDDLE_NAME_TXT = JSOC_ELEMENT.VAR_GET("ACC_ACCOUNT_MIDDLE_NAME_TXT");      
			ACC_ACCOUNT_MIDDLE_NAME_TXT.onchange = 
				function()
				{
					if(ACC_ACCOUNT_MIDDLE_NAME_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_ACCOUNT_MIDDLE_NAME_TXT.onkeypress = function(){ACC_ACCOUNT_MIDDLE_NAME_TXT.onchange();};
			ACC_ACCOUNT_MIDDLE_NAME_TXT.onpaste = function(){ACC_ACCOUNT_MIDDLE_NAME_TXT.onchange();};
			ACC_ACCOUNT_MIDDLE_NAME_TXT.oninput = function(){ACC_ACCOUNT_MIDDLE_NAME_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_ACCOUNT_LAST_NAME_TXT"))
		{
			ACC_ACCOUNT_LAST_NAME_TXT = JSOC_ELEMENT.VAR_GET("ACC_ACCOUNT_LAST_NAME_TXT");      
			ACC_ACCOUNT_LAST_NAME_TXT.onchange = 
				function()
				{
					if(ACC_ACCOUNT_LAST_NAME_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_ACCOUNT_LAST_NAME_TXT.onkeypress = function(){ACC_ACCOUNT_LAST_NAME_TXT.onchange();};
			ACC_ACCOUNT_LAST_NAME_TXT.onpaste = function(){ACC_ACCOUNT_LAST_NAME_TXT.onchange();};
			ACC_ACCOUNT_LAST_NAME_TXT.oninput = function(){ACC_ACCOUNT_LAST_NAME_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_ACCOUNT_POSITION_TXT"))
		{
			ACC_ACCOUNT_POSITION_TXT = JSOC_ELEMENT.VAR_GET("ACC_ACCOUNT_POSITION_TXT");      
			ACC_ACCOUNT_POSITION_TXT.onchange = 
				function()
				{
					if(ACC_ACCOUNT_POSITION_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_ACCOUNT_POSITION_TXT.onkeypress = function(){ACC_ACCOUNT_POSITION_TXT.onchange();};
			ACC_ACCOUNT_POSITION_TXT.onpaste = function(){ACC_ACCOUNT_POSITION_TXT.onchange();};
			ACC_ACCOUNT_POSITION_TXT.oninput = function(){ACC_ACCOUNT_POSITION_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_ACCOUNT_SYS_GENDER_ID_CMB"))
		{
			ACC_ACCOUNT_SYS_GENDER_ID_CMB = JSOC_ELEMENT.VAR_GET("ACC_ACCOUNT_SYS_GENDER_ID_CMB");      	
			ACC_ACCOUNT_SYS_GENDER_ID_CMB.onchange = 
				function()
				{
					if(ACC_ACCOUNT_SYS_GENDER_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_ACCOUNT_SYS_GENDER_ID_CMB.onkeypress = function(){ACC_ACCOUNT_SYS_GENDER_ID_CMB.onchange();};
			ACC_ACCOUNT_SYS_GENDER_ID_CMB.onpaste = function(){ACC_ACCOUNT_SYS_GENDER_ID_CMB.onchange();};
			ACC_ACCOUNT_SYS_GENDER_ID_CMB.oninput = function(){ACC_ACCOUNT_SYS_GENDER_ID_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_ACCOUNT_STATUS_CMB"))
		{
			ACC_ACCOUNT_STATUS_CMB = JSOC_ELEMENT.VAR_GET("ACC_ACCOUNT_STATUS_CMB");      	
			ACC_ACCOUNT_STATUS_CMB.onchange = 
				function()
				{
					if(ACC_ACCOUNT_STATUS_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_ACCOUNT_STATUS_CMB.onkeypress = function(){ACC_ACCOUNT_STATUS_CMB.onchange();};
			ACC_ACCOUNT_STATUS_CMB.onpaste = function(){ACC_ACCOUNT_STATUS_CMB.onchange();};
			ACC_ACCOUNT_STATUS_CMB.oninput = function(){ACC_ACCOUNT_STATUS_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_ACCOUNT_SYSTEM_GENERATED_TXT"))
		{
			ACC_ACCOUNT_SYSTEM_GENERATED_TXT = JSOC_ELEMENT.VAR_GET("ACC_ACCOUNT_SYSTEM_GENERATED_TXT");      
			ACC_ACCOUNT_SYSTEM_GENERATED_TXT.onchange = 
				function()
				{
					if(ACC_ACCOUNT_SYSTEM_GENERATED_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_ACCOUNT_SYSTEM_GENERATED_TXT.onkeypress = function(){ACC_ACCOUNT_SYSTEM_GENERATED_TXT.onchange();};
			ACC_ACCOUNT_SYSTEM_GENERATED_TXT.onpaste = function(){ACC_ACCOUNT_SYSTEM_GENERATED_TXT.onchange();};
			ACC_ACCOUNT_SYSTEM_GENERATED_TXT.oninput = function(){ACC_ACCOUNT_SYSTEM_GENERATED_TXT.onchange();};
		}
		
		
		// Initialize: Default Settings
		// ...........................................
		// FORM_PREPARE_DEFAULT_SETTINGS();   	
	}